> ## Documentation Index
> Fetch the complete documentation index at: https://dripart-feat-openapi-i18n.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 이미지 스타일 전송

> AI를 사용하여 이미지에 스타일 전송을 적용합니다.



## OpenAPI

````yaml /openapi/registry.ko.yaml post /proxy/freepik/v1/ai/image-style-transfer
openapi: 3.0.2
info:
  title: Comfy API
  version: '1.0'
servers:
  - url: https://api.comfy.org
security: []
paths:
  /proxy/freepik/v1/ai/image-style-transfer:
    post:
      tags:
        - Freepik
        - Proxy
      summary: 이미지 스타일 전송
      description: AI를 사용하여 이미지에 스타일 전송을 적용합니다.
      operationId: FreepikMagnificStyleTransfer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FreepikMagnificStyleTransferRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FreepikTaskData'
          description: OK - 스타일 전송 프로세스가 시작되었습니다.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FreepikErrorResponse'
          description: 잘못된 요청
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FreepikErrorResponse'
          description: 내부 서버 오류
      security:
        - BearerAuth: []
components:
  schemas:
    FreepikMagnificStyleTransferRequest:
      properties:
        engine:
          default: balanced
          description: 스타일 전송을 위한 엔진 프리셋
          enum:
            - balanced
            - definio
            - illusio
            - 3d_cartoon
            - colorful_anime
            - caricature
            - real
            - super_real
            - softy
          type: string
        fixed_generation:
          default: false
          description: 활성화하면 동일한 설정을 사용할 때 항상 동일한 이미지가 생성됩니다.
          type: boolean
        flavor:
          default: faithful
          description: 전환 스타일의 종류
          enum:
            - faithful
            - gen_z
            - psychedelia
            - detaily
            - clear
            - donotstyle
            - donotstyle_sharp
          type: string
        image:
          description: 스타일 전환을 수행할 이미지의 Base64 또는 URL
          type: string
        is_portrait:
          default: false
          description: 이미지를 인물 사진으로 처리할지 여부를 나타냅니다.
          type: boolean
        portrait_beautifier:
          description: 인물 사진의 얼굴 보정. is_portrait가 참인 경우에만 사용됩니다.
          enum:
            - beautify_face
            - beautify_face_max
          type: string
        portrait_style:
          default: standard
          description: 인물 사진에 적용되는 시각적 스타일. is_portrait가 참인 경우에만 사용됩니다.
          enum:
            - standard
            - pop
            - super_pop
          type: string
        prompt:
          description: AI 모델에 대한 프롬프트
          type: string
        reference_image:
          description: 스타일 전환을 위한 참조 이미지의 Base64 또는 URL
          type: string
        structure_strength:
          default: 50
          description: 원본 이미지의 구조를 유지할 수 있도록 합니다.
          maximum: 100
          minimum: 0
          type: integer
        style_strength:
          default: 100
          description: 스타일 강도의 백분율
          maximum: 100
          minimum: 0
          type: integer
        webhook_url:
          description: 비동기 알림을 위한 선택적 콜백 URL입니다.
          example: https://www.example.com/webhook
          format: uri
          type: string
      required:
        - image
        - reference_image
      type: object
    FreepikTaskData:
      properties:
        generated:
          description: 생성된 이미지의 URL입니다.
          items:
            format: uri
            type: string
          type: array
        status:
          enum:
            - CREATED
            - IN_PROGRESS
            - COMPLETED
            - FAILED
          type: string
        task_id:
          example: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
          format: uuid
          type: string
      type: object
    FreepikErrorResponse:
      properties:
        error:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````